__gnu_profile::__trace_vector_to_list Class Reference

`#include <profiler_vector_to_list.h>`

Inheritance diagram for __gnu_profile::__trace_vector_to_list:
[legend]

## Public Member Functions

__vector2list_info * | __add_object (__stack_t __stack)
void | __collect_warnings (__warning_vector_t &__warnings)
void | __destruct (__vector2list_info *__obj_info)
void | __free ()
float | __list_cost (std::size_t __shift, std::size_t __iterate, std::size_t __resize)
void | __retire_object (__vector2list_info *__info)
float | __vector_cost (std::size_t __shift, std::size_t __iterate, std::size_t __resize)
void | __write (FILE *__f)

## Protected Attributes

const char * | __id

## Detailed Description

Vector-to-list instrumentation producer.

Definition at line 131 of file profiler_vector_to_list.h.

## Constructor & Destructor Documentation

## __trace_vector_to_list()

__gnu_profile::__trace_vector_to_list::__trace_vector_to_list | ( |  | ) |

inline

Definition at line 135 of file profiler_vector_to_list.h.

## ~__trace_vector_to_list()

__gnu_profile::__trace_vector_to_list::~__trace_vector_to_list | ( |  | ) |

inline

Definition at line 139 of file profiler_vector_to_list.h.

## Member Function Documentation

## __add_object()

__vector2list_info * __gnu_profile::__trace_base< __vector2list_info , __vector2list_stack_info >::__add_object | ( | __stack_t | __stack | ) |

inherited

Definition at line 206 of file profiler_trace.h.

## __collect_warnings()

void __gnu_profile::__trace_base< __vector2list_info , __vector2list_stack_info >::__collect_warnings | ( | __warning_vector_t & | __warnings | ) |

inherited

Definition at line 209 of file profiler_trace.h.

## __destruct()

void __gnu_profile::__trace_vector_to_list::__destruct | ( | __vector2list_info * | __obj_info | ) |

inline

Definition at line 143 of file profiler_vector_to_list.h.

## __list_cost()

float __gnu_profile::__trace_vector_to_list::__list_cost | ( | std::size_t | __shift,
|  | std::size_t | __iterate,
|  | std::size_t | __resize
| ) |  |

inline

Definition at line 171 of file profiler_vector_to_list.h.

## __retire_object()

void __gnu_profile::__trace_base< __vector2list_info , __vector2list_stack_info >::__retire_object | ( | __vector2list_info * | __info | ) |

inherited

Definition at line 207 of file profiler_trace.h.

## __vector_cost()

float __gnu_profile::__trace_vector_to_list::__vector_cost | ( | std::size_t | __shift,
|  | std::size_t | __iterate,
|  | std::size_t | __resize
| ) |  |

inline

Definition at line 159 of file profiler_vector_to_list.h.

## __write()

void __gnu_profile::__trace_base< __vector2list_info , __vector2list_stack_info >::__write | ( | FILE * | __f | ) |

inherited

Definition at line 208 of file profiler_trace.h.

## Member Data Documentation

## __id

const char* __gnu_profile::__trace_base< __vector2list_info , __vector2list_stack_info >::__id

protected inherited

Definition at line 222 of file profiler_trace.h.

The documentation for this class was generated from the following file:

- profiler_vector_to_list.h